Zum Hauptinhalt springen
OpenID

Neu

Thema: Bug Packages.german.php (693-mal gelesen) Vorheriges Thema - Nächstes Thema

0 Benutzer und 1 Gast betrachten dieses Thema.
Bug Packages.german.php
Bug gefunden in der Sprachdatei Packages.german.php. Dieser verursacht das in der Infobox der Dateiberechtigungen, des Konfigurationsbereich Paketmanager, Listenpunkte angezeigt werden. Seht Bildanhang files-perm_ger.png (vorher).

In Zeile 246 $txt['package_file_perms_warning_desc'] muss der Code für Liste <li> entfernt werden. In der Original englischen Datei ist dies auch nicht enthalten.
Original Englisch
$txt['package_file_perms_warning_desc'] = '
Be careful when changing file permissions from this section - incorrect permissions can adversely affect the operation of your forum!<br />
On some server configurations selecting the wrong permissions may stop the forum from operating.<br />
Certain directories such as <em>attachments</em> need to be writable to use that functionality.<br />
This functionality is mainly applicable on non-Windows based servers - it will not work as expected on Windows in regards to permission flags.<br />
Before proceeding make sure you have an FTP client installed in case you do make an error and need to FTP into the server to remedy it.';

Deutsch
$txt['package_file_perms_warning_desc'] = '	<li>Sei vorsichtig, wenn du die Dateiberechtigungen von dieser Sektion aus änderst - Falsche Einstellungen können dein Forum funktionsunfähig machen!</li>
<li>Auf manchen Serverkonfigurationen können falsche Berechtigungen den Betrieb von ElkArte verhindern.</li>
<li>Bestimmte Verzeichnisse wie <em>/attachments</em> müssen beschreibbar sein, um eine notwendige Funktionalität zu garantieren.</li>
<li>Diese Einschränkung trifft hauptsächlich auf nicht Windows-basierte Server zu. Dort wird es nicht wie erwartet funktionieren.</li>
<li>Bevor du die Änderungen durchführst, sei dir sicher, dass du einen FTP-Zugang und ein FTP-Programm hast, um im schlimmsten Fall die Berechtigungen wiederherstellen zu können.</li>';
ersetzen mit
$txt['package_file_perms_warning_desc'] = '
Sei vorsichtig, wenn du die Dateiberechtigungen von dieser Sektion aus änderst - Falsche Einstellungen können dein Forum funktionsunfähig machen!
Auf manchen Serverkonfigurationen können falsche Berechtigungen den Betrieb von ElkArte verhindern.
Bestimmte Verzeichnisse wie <em>/attachments</em> müssen beschreibbar sein, um eine notwendige Funktionalität zu garantieren.
Diese Einschränkung trifft hauptsächlich auf nicht Windows-basierte Server zu. Dort wird es nicht wie erwartet funktionieren.
Bevor du die Änderungen durchführst, sei dir sicher, dass du einen FTP-Zugang und ein FTP-Programm hast, um im schlimmsten Fall die Berechtigungen wiederherstellen zu können.';

Seht Bildanhang  files-perm_ger_002.png (nachher).


  • Zuletzt geändert: 28. Juli 2015, 14:23 von wintstar
Gruß Stephan

Je suis Paris!

  • Jorin
  • [*][*][*]
  • Administrator
Antw.: Bug Packages.german.php
Antwort #1
Ob Listenelemente nun ein Bug sind, ist sicherlich eine Streitfrage. In diesem Fall war das, wenn ich mich recht erinnere, sogar Absicht.  ;)

Antw.: Bug Packages.german.php
Antwort #2
Ich finde das es in Deutsch mit Listenelemente ziemlich unglücklich aussieht.
Gruß Stephan

Je suis Paris!

  • Jorin
  • [*][*][*]
  • Administrator
Antw.: Bug Packages.german.php
Antwort #3
Wegen des Icons. Ja, das kann ich nachvollziehen. Ich ändere es für die 1.0.5.